
.wpt-button {
  margin-left: 4px;
  padding: 4px 8px;
  position: relative;
  text-decoration: none;
  border: none;
  border: 1px solid #ccc;
  border-radius: 2px;
  background: #f7f7f7;
  text-shadow: none;
  font-weight: 600;
  font-size: 13px;
  line-height: normal;
  color: $button-primary;
  cursor: pointer;
  outline: 0;

  &[disabled="disabled"] {
    opacity: .5;
    cursor: default;
  }

  &:hover,
  &.wpt-button-primary {
    border-color: #008EC2;
    background: #00a0d2;
    color: $white;
  }

  &.danger {
  color: $button-danger;
    &:hover {
      background: $button-danger;
      border-color: $button-danger;
      color: $white;
    }
  }
}

a.wpt-button {
  padding: 4px 8px 7px 8px;

  .dashicons {
    vertical-align: middle;
  }
}

.wpt-button-link {
  padding: 0;
  background: none;
  border: none;
  color: #0073aa;
  cursor: pointer;
  &:hover {
    color: #00a0d2;
  }
}

.wpt-button-update {
  span:first-of-type {
    color: #f56e28;
  }
}

@mixin wpt-hide-on {
  border: 0;
  clip: rect(1px, 1px, 1px, 1px);
  clip-path: inset(50%);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
  word-wrap: normal !important;
}

.wpt-hide {
  &-on-xs {
    @include breakpoint(xs) {
      @include wpt-hide-on;
    }
  }
  &-on-sm {
    @include breakpoint(sm) {
     @include wpt-hide-on;
    }
  }
  &-on-md {
    @include breakpoint(md) {
      @include wpt-hide-on;
    }
  }
  &-on-lg {
    @include breakpoint(lg) {
      @include wpt-hide-on;
    }
  }
  &-on-xl {
    @include breakpoint(xl) {
      @include wpt-hide-on;
    }
  }
}

input[type="checkbox"].switch {
  -moz-appearance: none;
  -webkit-appearance: none;
  -o-appearance: none;
  position: relative;
  height: 20px;
  width: 40px;
  border-radius: 3px;
  box-shadow: inset -20px 0px 0px 1px rgba(192, 192, 192, 0.5);
  background-color: white;
  border: 1px solid rgba(192, 192, 192, 1);
  outline: none;
  -webkit-transition: 0.2s;
  transition: 0.2s;

  &:checked {
    box-shadow: inset 20px 0px 0px 1px rgba( $button-primary, 0.7 );
    border: 1px solid $button-primary;

    &::before {
        content: "";
        margin: 0;
    }
  }

  &::-ms-check {
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)"; /* IE 8 */
    filter: alpha(opacity=0); /* IE 5-7 */
    opacity: 0;
  }

}
